/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
import { UIQueryBuilder } from "./components/ui-query-builder/ui-query-builder";
import { Icon } from "@vaadin/icon";
import { DataTableColumn } from "./components/px-interfaces";
import { Button } from "@vaadin/button";
import { PasswordField } from "@vaadin/password-field";
export { UIQueryBuilder } from "./components/ui-query-builder/ui-query-builder";
export { Icon } from "@vaadin/icon";
export { DataTableColumn } from "./components/px-interfaces";
export { Button } from "@vaadin/button";
export { PasswordField } from "@vaadin/password-field";
export namespace Components {
    interface AppBank {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppBankReceipt {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppCase {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppCaseReceipt {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppCustomer {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppCustomerReceipt {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppEmpty {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppInvoiceBuy {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppInvoiceSell {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppMenu {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppPermission {
        "args": any;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppQueryBuilder {
        "args": any;
    }
    interface AppReportDesigner {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppReportViewer {
        "args": any;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppRoot {
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "itemsSideBar": any;
        "setItemData": (obj: any) => Promise<void>;
        "showNotification": (message: string) => Promise<void>;
    }
    interface AppStock {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppStockReceipt {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface AppUser {
        "args": any;
        "callbackRequestData": (obj: any, resp: any) => Promise<void>;
        "resize": (height: number) => Promise<void>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface PxDataTable {
        "arrConcatFields": any[];
        "arrGroupFields": string[];
        "autoClearSelection": boolean;
        "calculations": any[];
        "clearSelectedRows": () => Promise<void>;
        "clearSortData": () => Promise<void>;
        "clsTable": string;
        "columnRenderer": string;
        "columns": DataTableColumn[];
        "data": any[];
        "getSelectedRows": () => Promise<any[]>;
        "groupFieldName": string;
        "hidden": boolean;
        "isEditable": boolean;
        "isFillCell": boolean;
        "isGroupedRows": boolean;
        "isGroupedSelect": boolean;
        "isReadOnly": boolean;
        "isSelectAll": boolean;
        "isSortMultiple": boolean;
        "isSortable": boolean;
        "selectAllStateClear": () => Promise<void>;
        "selectAllStateSet": () => Promise<void>;
        "selectAllStateToggle": () => Promise<void>;
        "selectionMode": 'none' | 'single' | 'multi' | 'cell';
        "setSelectedCellValue": (val: any) => Promise<void>;
        "setSelectedRow": (row: any) => Promise<void>;
        "totals": any[];
    }
    interface PxToggle {
        "disabled": boolean;
        "isChecked": boolean;
        "isThirdState": boolean;
        "option1": string;
        "option2": string;
        "optionVisible": boolean;
        "size": 'regular' | 'small' | 'large' | 'huge';
    }
    interface UiFileManager {
        "args": any;
        "getSelectedItem": () => Promise<any[]>;
        "setItemData": (obj: any) => Promise<void>;
    }
    interface UiGrid {
        "afterLoad": () => Promise<void>;
        "args": any;
        "beforeLoad": () => Promise<void>;
        "clearSelectedRows": () => Promise<void>;
        "clearSortData": () => Promise<void>;
        "columnRenderer": string;
        "columns": DataTableColumn[];
        "footerButtons": any;
        "getSelectedRows": () => Promise<any[]>;
        "height": string;
        "hiddenPageBarButtons": any;
        "isSelectAll": boolean;
        "isShowFooter": boolean;
        "isShowHeader": boolean;
        "isSortMultiple": boolean;
        "isSortable": boolean;
        "selectionMode": 'none' | 'single' | 'multi';
        "setButtonDisplay": (part: string, state: string) => Promise<void>;
        "setButtonState": (part: string, state: string) => Promise<void>;
        "setData": (obj: any) => Promise<void>;
        "tableBorderBottom": string;
        "tableBorderLeft": string;
        "tableBorderRight": string;
        "tableBorderTop": string;
        "width": string;
    }
    interface UiGridEditable {
        "afterLoad": () => Promise<void>;
        "args": any;
        "beforeLoad": () => Promise<void>;
        "border": string;
        "calculations": any[];
        "columnRenderer": string;
        "columns": any;
        "getData": () => Promise<any[]>;
        "height": string;
        "isFillCell": boolean;
        "isFreeze": boolean;
        "setData": (obj: any) => Promise<void>;
        "setSelectedCellValue": (val: any) => Promise<void>;
        "totals": any[];
        "width": string;
    }
    interface UiLoadingIndicator {
        "fitToParent": boolean;
        "getVisible": () => Promise<boolean>;
        "refit": () => Promise<void>;
        "setStateMask": (isMask: boolean) => Promise<void>;
        "setVisible": (isVisible: boolean) => Promise<void>;
        "text": string;
    }
    interface UiLogin {
        "showNotification": (message: string) => Promise<void>;
    }
    interface UiPagebar {
        "args": any;
        "setButtonDisplay": (btn: string, state: string) => Promise<void>;
        "setButtonState": (btn: string, state: string) => Promise<void>;
    }
    interface UiQueryBuilder {
        "args": any;
        "setButtonStatus": (name: string, isDisabled: boolean) => Promise<void>;
    }
    interface UiTree {
        "afterLoad": () => Promise<void>;
        "args": any;
        "beforeLoad": () => Promise<void>;
        "clearAllSelectedNodes": () => Promise<void>;
        "columnRenderer": string;
        "columns": any;
        "expanded": boolean;
        "getData": (isFlat?: boolean) => Promise<any[]>;
        "height": string;
        "isCheckIndeterminate": boolean;
        "isCheckableNode": boolean;
        "isEnableLoadingIndicator": boolean;
        "isHideBorder": boolean;
        "isHideSeperator": boolean;
        "load": (data: any) => Promise<void>;
        "width": string;
    }
    interface UiUpload {
        "accept": string;
        "dataIndex": string;
        "formDataName": string;
        "headers": object | string;
        "i18n": object;
        "maxFileSize": number;
        "maxFiles": number;
        "maxFilesReached": boolean;
        "method": string;
        "noAuto": boolean;
        "nodrop": boolean;
        "target": string;
        "thumbnail": any;
        "timeout": number;
        "value": any;
        "viewTarget": string;
        "withCredentials": boolean;
    }
}
export interface AppBankCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppBankElement;
}
export interface AppBankReceiptCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppBankReceiptElement;
}
export interface AppCaseCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppCaseElement;
}
export interface AppCaseReceiptCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppCaseReceiptElement;
}
export interface AppCustomerCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppCustomerElement;
}
export interface AppCustomerReceiptCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppCustomerReceiptElement;
}
export interface AppEmptyCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppEmptyElement;
}
export interface AppInvoiceBuyCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppInvoiceBuyElement;
}
export interface AppInvoiceSellCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppInvoiceSellElement;
}
export interface AppMenuCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppMenuElement;
}
export interface AppPermissionCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppPermissionElement;
}
export interface AppQueryBuilderCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppQueryBuilderElement;
}
export interface AppReportDesignerCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppReportDesignerElement;
}
export interface AppReportViewerCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppReportViewerElement;
}
export interface AppRootCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppRootElement;
}
export interface AppStockCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppStockElement;
}
export interface AppStockReceiptCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppStockReceiptElement;
}
export interface AppUserCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLAppUserElement;
}
export interface PxDataTableCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLPxDataTableElement;
}
export interface PxToggleCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLPxToggleElement;
}
export interface UiFileManagerCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLUiFileManagerElement;
}
export interface UiGridCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLUiGridElement;
}
export interface UiGridEditableCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLUiGridEditableElement;
}
export interface UiLoginCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLUiLoginElement;
}
export interface UiPagebarCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLUiPagebarElement;
}
export interface UiQueryBuilderCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLUiQueryBuilderElement;
}
export interface UiTreeCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLUiTreeElement;
}
export interface UiUploadCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLUiUploadElement;
}
declare global {
    interface HTMLAppBankElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppBankElement extends Components.AppBank, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppBankElementEventMap>(type: K, listener: (this: HTMLAppBankElement, ev: AppBankCustomEvent<HTMLAppBankElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppBankElementEventMap>(type: K, listener: (this: HTMLAppBankElement, ev: AppBankCustomEvent<HTMLAppBankElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppBankElement: {
        prototype: HTMLAppBankElement;
        new (): HTMLAppBankElement;
    };
    interface HTMLAppBankReceiptElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppBankReceiptElement extends Components.AppBankReceipt, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppBankReceiptElementEventMap>(type: K, listener: (this: HTMLAppBankReceiptElement, ev: AppBankReceiptCustomEvent<HTMLAppBankReceiptElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppBankReceiptElementEventMap>(type: K, listener: (this: HTMLAppBankReceiptElement, ev: AppBankReceiptCustomEvent<HTMLAppBankReceiptElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppBankReceiptElement: {
        prototype: HTMLAppBankReceiptElement;
        new (): HTMLAppBankReceiptElement;
    };
    interface HTMLAppCaseElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppCaseElement extends Components.AppCase, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppCaseElementEventMap>(type: K, listener: (this: HTMLAppCaseElement, ev: AppCaseCustomEvent<HTMLAppCaseElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppCaseElementEventMap>(type: K, listener: (this: HTMLAppCaseElement, ev: AppCaseCustomEvent<HTMLAppCaseElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppCaseElement: {
        prototype: HTMLAppCaseElement;
        new (): HTMLAppCaseElement;
    };
    interface HTMLAppCaseReceiptElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppCaseReceiptElement extends Components.AppCaseReceipt, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppCaseReceiptElementEventMap>(type: K, listener: (this: HTMLAppCaseReceiptElement, ev: AppCaseReceiptCustomEvent<HTMLAppCaseReceiptElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppCaseReceiptElementEventMap>(type: K, listener: (this: HTMLAppCaseReceiptElement, ev: AppCaseReceiptCustomEvent<HTMLAppCaseReceiptElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppCaseReceiptElement: {
        prototype: HTMLAppCaseReceiptElement;
        new (): HTMLAppCaseReceiptElement;
    };
    interface HTMLAppCustomerElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppCustomerElement extends Components.AppCustomer, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppCustomerElementEventMap>(type: K, listener: (this: HTMLAppCustomerElement, ev: AppCustomerCustomEvent<HTMLAppCustomerElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppCustomerElementEventMap>(type: K, listener: (this: HTMLAppCustomerElement, ev: AppCustomerCustomEvent<HTMLAppCustomerElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppCustomerElement: {
        prototype: HTMLAppCustomerElement;
        new (): HTMLAppCustomerElement;
    };
    interface HTMLAppCustomerReceiptElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppCustomerReceiptElement extends Components.AppCustomerReceipt, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppCustomerReceiptElementEventMap>(type: K, listener: (this: HTMLAppCustomerReceiptElement, ev: AppCustomerReceiptCustomEvent<HTMLAppCustomerReceiptElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppCustomerReceiptElementEventMap>(type: K, listener: (this: HTMLAppCustomerReceiptElement, ev: AppCustomerReceiptCustomEvent<HTMLAppCustomerReceiptElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppCustomerReceiptElement: {
        prototype: HTMLAppCustomerReceiptElement;
        new (): HTMLAppCustomerReceiptElement;
    };
    interface HTMLAppEmptyElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppEmptyElement extends Components.AppEmpty, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppEmptyElementEventMap>(type: K, listener: (this: HTMLAppEmptyElement, ev: AppEmptyCustomEvent<HTMLAppEmptyElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppEmptyElementEventMap>(type: K, listener: (this: HTMLAppEmptyElement, ev: AppEmptyCustomEvent<HTMLAppEmptyElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppEmptyElement: {
        prototype: HTMLAppEmptyElement;
        new (): HTMLAppEmptyElement;
    };
    interface HTMLAppInvoiceBuyElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppInvoiceBuyElement extends Components.AppInvoiceBuy, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppInvoiceBuyElementEventMap>(type: K, listener: (this: HTMLAppInvoiceBuyElement, ev: AppInvoiceBuyCustomEvent<HTMLAppInvoiceBuyElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppInvoiceBuyElementEventMap>(type: K, listener: (this: HTMLAppInvoiceBuyElement, ev: AppInvoiceBuyCustomEvent<HTMLAppInvoiceBuyElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppInvoiceBuyElement: {
        prototype: HTMLAppInvoiceBuyElement;
        new (): HTMLAppInvoiceBuyElement;
    };
    interface HTMLAppInvoiceSellElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppInvoiceSellElement extends Components.AppInvoiceSell, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppInvoiceSellElementEventMap>(type: K, listener: (this: HTMLAppInvoiceSellElement, ev: AppInvoiceSellCustomEvent<HTMLAppInvoiceSellElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppInvoiceSellElementEventMap>(type: K, listener: (this: HTMLAppInvoiceSellElement, ev: AppInvoiceSellCustomEvent<HTMLAppInvoiceSellElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppInvoiceSellElement: {
        prototype: HTMLAppInvoiceSellElement;
        new (): HTMLAppInvoiceSellElement;
    };
    interface HTMLAppMenuElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppMenuElement extends Components.AppMenu, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppMenuElementEventMap>(type: K, listener: (this: HTMLAppMenuElement, ev: AppMenuCustomEvent<HTMLAppMenuElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppMenuElementEventMap>(type: K, listener: (this: HTMLAppMenuElement, ev: AppMenuCustomEvent<HTMLAppMenuElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppMenuElement: {
        prototype: HTMLAppMenuElement;
        new (): HTMLAppMenuElement;
    };
    interface HTMLAppPermissionElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppPermissionElement extends Components.AppPermission, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppPermissionElementEventMap>(type: K, listener: (this: HTMLAppPermissionElement, ev: AppPermissionCustomEvent<HTMLAppPermissionElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppPermissionElementEventMap>(type: K, listener: (this: HTMLAppPermissionElement, ev: AppPermissionCustomEvent<HTMLAppPermissionElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppPermissionElement: {
        prototype: HTMLAppPermissionElement;
        new (): HTMLAppPermissionElement;
    };
    interface HTMLAppQueryBuilderElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppQueryBuilderElement extends Components.AppQueryBuilder, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppQueryBuilderElementEventMap>(type: K, listener: (this: HTMLAppQueryBuilderElement, ev: AppQueryBuilderCustomEvent<HTMLAppQueryBuilderElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppQueryBuilderElementEventMap>(type: K, listener: (this: HTMLAppQueryBuilderElement, ev: AppQueryBuilderCustomEvent<HTMLAppQueryBuilderElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppQueryBuilderElement: {
        prototype: HTMLAppQueryBuilderElement;
        new (): HTMLAppQueryBuilderElement;
    };
    interface HTMLAppReportDesignerElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppReportDesignerElement extends Components.AppReportDesigner, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppReportDesignerElementEventMap>(type: K, listener: (this: HTMLAppReportDesignerElement, ev: AppReportDesignerCustomEvent<HTMLAppReportDesignerElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppReportDesignerElementEventMap>(type: K, listener: (this: HTMLAppReportDesignerElement, ev: AppReportDesignerCustomEvent<HTMLAppReportDesignerElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppReportDesignerElement: {
        prototype: HTMLAppReportDesignerElement;
        new (): HTMLAppReportDesignerElement;
    };
    interface HTMLAppReportViewerElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppReportViewerElement extends Components.AppReportViewer, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppReportViewerElementEventMap>(type: K, listener: (this: HTMLAppReportViewerElement, ev: AppReportViewerCustomEvent<HTMLAppReportViewerElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppReportViewerElementEventMap>(type: K, listener: (this: HTMLAppReportViewerElement, ev: AppReportViewerCustomEvent<HTMLAppReportViewerElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppReportViewerElement: {
        prototype: HTMLAppReportViewerElement;
        new (): HTMLAppReportViewerElement;
    };
    interface HTMLAppRootElementEventMap {
        "appEvent": any;
    }
    interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppRootElementEventMap>(type: K, listener: (this: HTMLAppRootElement, ev: AppRootCustomEvent<HTMLAppRootElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppRootElementEventMap>(type: K, listener: (this: HTMLAppRootElement, ev: AppRootCustomEvent<HTMLAppRootElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppRootElement: {
        prototype: HTMLAppRootElement;
        new (): HTMLAppRootElement;
    };
    interface HTMLAppStockElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppStockElement extends Components.AppStock, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppStockElementEventMap>(type: K, listener: (this: HTMLAppStockElement, ev: AppStockCustomEvent<HTMLAppStockElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppStockElementEventMap>(type: K, listener: (this: HTMLAppStockElement, ev: AppStockCustomEvent<HTMLAppStockElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppStockElement: {
        prototype: HTMLAppStockElement;
        new (): HTMLAppStockElement;
    };
    interface HTMLAppStockReceiptElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppStockReceiptElement extends Components.AppStockReceipt, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppStockReceiptElementEventMap>(type: K, listener: (this: HTMLAppStockReceiptElement, ev: AppStockReceiptCustomEvent<HTMLAppStockReceiptElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppStockReceiptElementEventMap>(type: K, listener: (this: HTMLAppStockReceiptElement, ev: AppStockReceiptCustomEvent<HTMLAppStockReceiptElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppStockReceiptElement: {
        prototype: HTMLAppStockReceiptElement;
        new (): HTMLAppStockReceiptElement;
    };
    interface HTMLAppUserElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
    }
    interface HTMLAppUserElement extends Components.AppUser, HTMLStencilElement {
        addEventListener<K extends keyof HTMLAppUserElementEventMap>(type: K, listener: (this: HTMLAppUserElement, ev: AppUserCustomEvent<HTMLAppUserElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLAppUserElementEventMap>(type: K, listener: (this: HTMLAppUserElement, ev: AppUserCustomEvent<HTMLAppUserElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLAppUserElement: {
        prototype: HTMLAppUserElement;
        new (): HTMLAppUserElement;
    };
    interface HTMLPxDataTableElementEventMap {
        "pxDataTableRowClick": any;
        "pxDataTableRowDblClick": any;
        "pxDataTableClearSelections": any;
        "pxDataTableCalcChange": any;
        "pxDataTableTotalsChange": any;
        "pxDataTableColumnChange": any;
        "pxDataTableButtonClick": any;
        "pxDataTableSortCellClick": any;
    }
    interface HTMLPxDataTableElement extends Components.PxDataTable, HTMLStencilElement {
        addEventListener<K extends keyof HTMLPxDataTableElementEventMap>(type: K, listener: (this: HTMLPxDataTableElement, ev: PxDataTableCustomEvent<HTMLPxDataTableElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLPxDataTableElementEventMap>(type: K, listener: (this: HTMLPxDataTableElement, ev: PxDataTableCustomEvent<HTMLPxDataTableElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLPxDataTableElement: {
        prototype: HTMLPxDataTableElement;
        new (): HTMLPxDataTableElement;
    };
    interface HTMLPxToggleElementEventMap {
        "pxToggleCheckedChanged": any;
    }
    interface HTMLPxToggleElement extends Components.PxToggle, HTMLStencilElement {
        addEventListener<K extends keyof HTMLPxToggleElementEventMap>(type: K, listener: (this: HTMLPxToggleElement, ev: PxToggleCustomEvent<HTMLPxToggleElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLPxToggleElementEventMap>(type: K, listener: (this: HTMLPxToggleElement, ev: PxToggleCustomEvent<HTMLPxToggleElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLPxToggleElement: {
        prototype: HTMLPxToggleElement;
        new (): HTMLPxToggleElement;
    };
    interface HTMLUiFileManagerElementEventMap {
        "uiDataSourceEvent": any;
    }
    interface HTMLUiFileManagerElement extends Components.UiFileManager, HTMLStencilElement {
        addEventListener<K extends keyof HTMLUiFileManagerElementEventMap>(type: K, listener: (this: HTMLUiFileManagerElement, ev: UiFileManagerCustomEvent<HTMLUiFileManagerElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLUiFileManagerElementEventMap>(type: K, listener: (this: HTMLUiFileManagerElement, ev: UiFileManagerCustomEvent<HTMLUiFileManagerElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLUiFileManagerElement: {
        prototype: HTMLUiFileManagerElement;
        new (): HTMLUiFileManagerElement;
    };
    interface HTMLUiGridElementEventMap {
        "uiDataSourceEvent": any;
    }
    interface HTMLUiGridElement extends Components.UiGrid, HTMLStencilElement {
        addEventListener<K extends keyof HTMLUiGridElementEventMap>(type: K, listener: (this: HTMLUiGridElement, ev: UiGridCustomEvent<HTMLUiGridElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLUiGridElementEventMap>(type: K, listener: (this: HTMLUiGridElement, ev: UiGridCustomEvent<HTMLUiGridElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLUiGridElement: {
        prototype: HTMLUiGridElement;
        new (): HTMLUiGridElement;
    };
    interface HTMLUiGridEditableElementEventMap {
        "uiDataSourceEvent": any;
    }
    interface HTMLUiGridEditableElement extends Components.UiGridEditable, HTMLStencilElement {
        addEventListener<K extends keyof HTMLUiGridEditableElementEventMap>(type: K, listener: (this: HTMLUiGridEditableElement, ev: UiGridEditableCustomEvent<HTMLUiGridEditableElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLUiGridEditableElementEventMap>(type: K, listener: (this: HTMLUiGridEditableElement, ev: UiGridEditableCustomEvent<HTMLUiGridEditableElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLUiGridEditableElement: {
        prototype: HTMLUiGridEditableElement;
        new (): HTMLUiGridEditableElement;
    };
    interface HTMLUiLoadingIndicatorElement extends Components.UiLoadingIndicator, HTMLStencilElement {
    }
    var HTMLUiLoadingIndicatorElement: {
        prototype: HTMLUiLoadingIndicatorElement;
        new (): HTMLUiLoadingIndicatorElement;
    };
    interface HTMLUiLoginElementEventMap {
        "uiLoginEvent": any;
    }
    interface HTMLUiLoginElement extends Components.UiLogin, HTMLStencilElement {
        addEventListener<K extends keyof HTMLUiLoginElementEventMap>(type: K, listener: (this: HTMLUiLoginElement, ev: UiLoginCustomEvent<HTMLUiLoginElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLUiLoginElementEventMap>(type: K, listener: (this: HTMLUiLoginElement, ev: UiLoginCustomEvent<HTMLUiLoginElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLUiLoginElement: {
        prototype: HTMLUiLoginElement;
        new (): HTMLUiLoginElement;
    };
    interface HTMLUiPagebarElementEventMap {
        "uiPagebarEvent": any;
    }
    interface HTMLUiPagebarElement extends Components.UiPagebar, HTMLStencilElement {
        addEventListener<K extends keyof HTMLUiPagebarElementEventMap>(type: K, listener: (this: HTMLUiPagebarElement, ev: UiPagebarCustomEvent<HTMLUiPagebarElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLUiPagebarElementEventMap>(type: K, listener: (this: HTMLUiPagebarElement, ev: UiPagebarCustomEvent<HTMLUiPagebarElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLUiPagebarElement: {
        prototype: HTMLUiPagebarElement;
        new (): HTMLUiPagebarElement;
    };
    interface HTMLUiQueryBuilderElementEventMap {
        "appEvent": any;
        "rendererEvent": any;
        "pxQueryBuilderConditionChange": any;
    }
    interface HTMLUiQueryBuilderElement extends Components.UiQueryBuilder, HTMLStencilElement {
        addEventListener<K extends keyof HTMLUiQueryBuilderElementEventMap>(type: K, listener: (this: HTMLUiQueryBuilderElement, ev: UiQueryBuilderCustomEvent<HTMLUiQueryBuilderElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLUiQueryBuilderElementEventMap>(type: K, listener: (this: HTMLUiQueryBuilderElement, ev: UiQueryBuilderCustomEvent<HTMLUiQueryBuilderElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLUiQueryBuilderElement: {
        prototype: HTMLUiQueryBuilderElement;
        new (): HTMLUiQueryBuilderElement;
    };
    interface HTMLUiTreeElementEventMap {
        "uiTreeColClickEvent": any;
        "uiTreeNodeSelectEvent": any;
        "uiTreeNodeDeSelectEvent": any;
    }
    interface HTMLUiTreeElement extends Components.UiTree, HTMLStencilElement {
        addEventListener<K extends keyof HTMLUiTreeElementEventMap>(type: K, listener: (this: HTMLUiTreeElement, ev: UiTreeCustomEvent<HTMLUiTreeElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLUiTreeElementEventMap>(type: K, listener: (this: HTMLUiTreeElement, ev: UiTreeCustomEvent<HTMLUiTreeElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLUiTreeElement: {
        prototype: HTMLUiTreeElement;
        new (): HTMLUiTreeElement;
    };
    interface HTMLUiUploadElementEventMap {
        "fileReject": any;
        "filesChanged": any;
        "maxFilesReachedChanged": any;
        "uploadBefore": any;
        "uploadStart": any;
        "uploadProgress": any;
        "uploadResponse": any;
        "uploadSuccess": any;
        "uploadError": any;
        "uploadRequest": any;
        "uploadRetry": any;
        "uploadAbort": any;
        "fileDelete": any;
        "fileOpen": any;
        "fileView": any;
    }
    interface HTMLUiUploadElement extends Components.UiUpload, HTMLStencilElement {
        addEventListener<K extends keyof HTMLUiUploadElementEventMap>(type: K, listener: (this: HTMLUiUploadElement, ev: UiUploadCustomEvent<HTMLUiUploadElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLUiUploadElementEventMap>(type: K, listener: (this: HTMLUiUploadElement, ev: UiUploadCustomEvent<HTMLUiUploadElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLUiUploadElement: {
        prototype: HTMLUiUploadElement;
        new (): HTMLUiUploadElement;
    };
    interface HTMLElementTagNameMap {
        "app-bank": HTMLAppBankElement;
        "app-bank-receipt": HTMLAppBankReceiptElement;
        "app-case": HTMLAppCaseElement;
        "app-case-receipt": HTMLAppCaseReceiptElement;
        "app-customer": HTMLAppCustomerElement;
        "app-customer-receipt": HTMLAppCustomerReceiptElement;
        "app-empty": HTMLAppEmptyElement;
        "app-invoice-buy": HTMLAppInvoiceBuyElement;
        "app-invoice-sell": HTMLAppInvoiceSellElement;
        "app-menu": HTMLAppMenuElement;
        "app-permission": HTMLAppPermissionElement;
        "app-query-builder": HTMLAppQueryBuilderElement;
        "app-report-designer": HTMLAppReportDesignerElement;
        "app-report-viewer": HTMLAppReportViewerElement;
        "app-root": HTMLAppRootElement;
        "app-stock": HTMLAppStockElement;
        "app-stock-receipt": HTMLAppStockReceiptElement;
        "app-user": HTMLAppUserElement;
        "px-data-table": HTMLPxDataTableElement;
        "px-toggle": HTMLPxToggleElement;
        "ui-file-manager": HTMLUiFileManagerElement;
        "ui-grid": HTMLUiGridElement;
        "ui-grid-editable": HTMLUiGridEditableElement;
        "ui-loading-indicator": HTMLUiLoadingIndicatorElement;
        "ui-login": HTMLUiLoginElement;
        "ui-pagebar": HTMLUiPagebarElement;
        "ui-query-builder": HTMLUiQueryBuilderElement;
        "ui-tree": HTMLUiTreeElement;
        "ui-upload": HTMLUiUploadElement;
    }
}
declare namespace LocalJSX {
    interface AppBank {
        "args"?: any;
        "onAppEvent"?: (event: AppBankCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppBankCustomEvent<any>) => void;
    }
    interface AppBankReceipt {
        "args"?: any;
        "onAppEvent"?: (event: AppBankReceiptCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppBankReceiptCustomEvent<any>) => void;
    }
    interface AppCase {
        "args"?: any;
        "onAppEvent"?: (event: AppCaseCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppCaseCustomEvent<any>) => void;
    }
    interface AppCaseReceipt {
        "args"?: any;
        "onAppEvent"?: (event: AppCaseReceiptCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppCaseReceiptCustomEvent<any>) => void;
    }
    interface AppCustomer {
        "args"?: any;
        "onAppEvent"?: (event: AppCustomerCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppCustomerCustomEvent<any>) => void;
    }
    interface AppCustomerReceipt {
        "args"?: any;
        "onAppEvent"?: (event: AppCustomerReceiptCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppCustomerReceiptCustomEvent<any>) => void;
    }
    interface AppEmpty {
        "args"?: any;
        "onAppEvent"?: (event: AppEmptyCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppEmptyCustomEvent<any>) => void;
    }
    interface AppInvoiceBuy {
        "args"?: any;
        "onAppEvent"?: (event: AppInvoiceBuyCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppInvoiceBuyCustomEvent<any>) => void;
    }
    interface AppInvoiceSell {
        "args"?: any;
        "onAppEvent"?: (event: AppInvoiceSellCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppInvoiceSellCustomEvent<any>) => void;
    }
    interface AppMenu {
        "args"?: any;
        "onAppEvent"?: (event: AppMenuCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppMenuCustomEvent<any>) => void;
    }
    interface AppPermission {
        "args"?: any;
        "onAppEvent"?: (event: AppPermissionCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppPermissionCustomEvent<any>) => void;
    }
    interface AppQueryBuilder {
        "args"?: any;
        "onAppEvent"?: (event: AppQueryBuilderCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppQueryBuilderCustomEvent<any>) => void;
    }
    interface AppReportDesigner {
        "args"?: any;
        "onAppEvent"?: (event: AppReportDesignerCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppReportDesignerCustomEvent<any>) => void;
    }
    interface AppReportViewer {
        "args"?: any;
        "onAppEvent"?: (event: AppReportViewerCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppReportViewerCustomEvent<any>) => void;
    }
    interface AppRoot {
        "itemsSideBar"?: any;
        "onAppEvent"?: (event: AppRootCustomEvent<any>) => void;
    }
    interface AppStock {
        "args"?: any;
        "onAppEvent"?: (event: AppStockCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppStockCustomEvent<any>) => void;
    }
    interface AppStockReceipt {
        "args"?: any;
        "onAppEvent"?: (event: AppStockReceiptCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppStockReceiptCustomEvent<any>) => void;
    }
    interface AppUser {
        "args"?: any;
        "onAppEvent"?: (event: AppUserCustomEvent<any>) => void;
        "onRendererEvent"?: (event: AppUserCustomEvent<any>) => void;
    }
    interface PxDataTable {
        "arrConcatFields"?: any[];
        "arrGroupFields"?: string[];
        "autoClearSelection"?: boolean;
        "calculations"?: any[];
        "clsTable"?: string;
        "columnRenderer"?: string;
        "columns"?: DataTableColumn[];
        "data"?: any[];
        "groupFieldName"?: string;
        "hidden"?: boolean;
        "isEditable"?: boolean;
        "isFillCell"?: boolean;
        "isGroupedRows"?: boolean;
        "isGroupedSelect"?: boolean;
        "isReadOnly"?: boolean;
        "isSelectAll"?: boolean;
        "isSortMultiple"?: boolean;
        "isSortable"?: boolean;
        "onPxDataTableButtonClick"?: (event: PxDataTableCustomEvent<any>) => void;
        "onPxDataTableCalcChange"?: (event: PxDataTableCustomEvent<any>) => void;
        "onPxDataTableClearSelections"?: (event: PxDataTableCustomEvent<any>) => void;
        "onPxDataTableColumnChange"?: (event: PxDataTableCustomEvent<any>) => void;
        "onPxDataTableRowClick"?: (event: PxDataTableCustomEvent<any>) => void;
        "onPxDataTableRowDblClick"?: (event: PxDataTableCustomEvent<any>) => void;
        "onPxDataTableSortCellClick"?: (event: PxDataTableCustomEvent<any>) => void;
        "onPxDataTableTotalsChange"?: (event: PxDataTableCustomEvent<any>) => void;
        "selectionMode"?: 'none' | 'single' | 'multi' | 'cell';
        "totals"?: any[];
    }
    interface PxToggle {
        "disabled"?: boolean;
        "isChecked"?: boolean;
        "isThirdState"?: boolean;
        "onPxToggleCheckedChanged"?: (event: PxToggleCustomEvent<any>) => void;
        "option1"?: string;
        "option2"?: string;
        "optionVisible"?: boolean;
        "size"?: 'regular' | 'small' | 'large' | 'huge';
    }
    interface UiFileManager {
        "args"?: any;
        "onUiDataSourceEvent"?: (event: UiFileManagerCustomEvent<any>) => void;
    }
    interface UiGrid {
        "args"?: any;
        "columnRenderer"?: string;
        "columns"?: DataTableColumn[];
        "footerButtons"?: any;
        "height"?: string;
        "hiddenPageBarButtons"?: any;
        "isSelectAll"?: boolean;
        "isShowFooter"?: boolean;
        "isShowHeader"?: boolean;
        "isSortMultiple"?: boolean;
        "isSortable"?: boolean;
        "onUiDataSourceEvent"?: (event: UiGridCustomEvent<any>) => void;
        "selectionMode"?: 'none' | 'single' | 'multi';
        "tableBorderBottom"?: string;
        "tableBorderLeft"?: string;
        "tableBorderRight"?: string;
        "tableBorderTop"?: string;
        "width"?: string;
    }
    interface UiGridEditable {
        "args"?: any;
        "border"?: string;
        "calculations"?: any[];
        "columnRenderer"?: string;
        "columns"?: any;
        "height"?: string;
        "isFillCell"?: boolean;
        "isFreeze"?: boolean;
        "onUiDataSourceEvent"?: (event: UiGridEditableCustomEvent<any>) => void;
        "totals"?: any[];
        "width"?: string;
    }
    interface UiLoadingIndicator {
        "fitToParent"?: boolean;
        "text"?: string;
    }
    interface UiLogin {
        "onUiLoginEvent"?: (event: UiLoginCustomEvent<any>) => void;
    }
    interface UiPagebar {
        "args"?: any;
        "onUiPagebarEvent"?: (event: UiPagebarCustomEvent<any>) => void;
    }
    interface UiQueryBuilder {
        "args"?: any;
        "onAppEvent"?: (event: UiQueryBuilderCustomEvent<any>) => void;
        "onPxQueryBuilderConditionChange"?: (event: UiQueryBuilderCustomEvent<any>) => void;
        "onRendererEvent"?: (event: UiQueryBuilderCustomEvent<any>) => void;
    }
    interface UiTree {
        "args"?: any;
        "columnRenderer"?: string;
        "columns"?: any;
        "expanded"?: boolean;
        "height"?: string;
        "isCheckIndeterminate"?: boolean;
        "isCheckableNode"?: boolean;
        "isEnableLoadingIndicator"?: boolean;
        "isHideBorder"?: boolean;
        "isHideSeperator"?: boolean;
        "onUiTreeColClickEvent"?: (event: UiTreeCustomEvent<any>) => void;
        "onUiTreeNodeDeSelectEvent"?: (event: UiTreeCustomEvent<any>) => void;
        "onUiTreeNodeSelectEvent"?: (event: UiTreeCustomEvent<any>) => void;
        "width"?: string;
    }
    interface UiUpload {
        "accept"?: string;
        "dataIndex"?: string;
        "formDataName"?: string;
        "headers"?: object | string;
        "i18n"?: object;
        "maxFileSize"?: number;
        "maxFiles"?: number;
        "maxFilesReached"?: boolean;
        "method"?: string;
        "noAuto"?: boolean;
        "nodrop"?: boolean;
        "onFileDelete"?: (event: UiUploadCustomEvent<any>) => void;
        "onFileOpen"?: (event: UiUploadCustomEvent<any>) => void;
        "onFileReject"?: (event: UiUploadCustomEvent<any>) => void;
        "onFileView"?: (event: UiUploadCustomEvent<any>) => void;
        "onFilesChanged"?: (event: UiUploadCustomEvent<any>) => void;
        "onMaxFilesReachedChanged"?: (event: UiUploadCustomEvent<any>) => void;
        "onUploadAbort"?: (event: UiUploadCustomEvent<any>) => void;
        "onUploadBefore"?: (event: UiUploadCustomEvent<any>) => void;
        "onUploadError"?: (event: UiUploadCustomEvent<any>) => void;
        "onUploadProgress"?: (event: UiUploadCustomEvent<any>) => void;
        "onUploadRequest"?: (event: UiUploadCustomEvent<any>) => void;
        "onUploadResponse"?: (event: UiUploadCustomEvent<any>) => void;
        "onUploadRetry"?: (event: UiUploadCustomEvent<any>) => void;
        "onUploadStart"?: (event: UiUploadCustomEvent<any>) => void;
        "onUploadSuccess"?: (event: UiUploadCustomEvent<any>) => void;
        "target"?: string;
        "thumbnail"?: any;
        "timeout"?: number;
        "value"?: any;
        "viewTarget"?: string;
        "withCredentials"?: boolean;
    }
    interface IntrinsicElements {
        "app-bank": AppBank;
        "app-bank-receipt": AppBankReceipt;
        "app-case": AppCase;
        "app-case-receipt": AppCaseReceipt;
        "app-customer": AppCustomer;
        "app-customer-receipt": AppCustomerReceipt;
        "app-empty": AppEmpty;
        "app-invoice-buy": AppInvoiceBuy;
        "app-invoice-sell": AppInvoiceSell;
        "app-menu": AppMenu;
        "app-permission": AppPermission;
        "app-query-builder": AppQueryBuilder;
        "app-report-designer": AppReportDesigner;
        "app-report-viewer": AppReportViewer;
        "app-root": AppRoot;
        "app-stock": AppStock;
        "app-stock-receipt": AppStockReceipt;
        "app-user": AppUser;
        "px-data-table": PxDataTable;
        "px-toggle": PxToggle;
        "ui-file-manager": UiFileManager;
        "ui-grid": UiGrid;
        "ui-grid-editable": UiGridEditable;
        "ui-loading-indicator": UiLoadingIndicator;
        "ui-login": UiLogin;
        "ui-pagebar": UiPagebar;
        "ui-query-builder": UiQueryBuilder;
        "ui-tree": UiTree;
        "ui-upload": UiUpload;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "app-bank": LocalJSX.AppBank & JSXBase.HTMLAttributes<HTMLAppBankElement>;
            "app-bank-receipt": LocalJSX.AppBankReceipt & JSXBase.HTMLAttributes<HTMLAppBankReceiptElement>;
            "app-case": LocalJSX.AppCase & JSXBase.HTMLAttributes<HTMLAppCaseElement>;
            "app-case-receipt": LocalJSX.AppCaseReceipt & JSXBase.HTMLAttributes<HTMLAppCaseReceiptElement>;
            "app-customer": LocalJSX.AppCustomer & JSXBase.HTMLAttributes<HTMLAppCustomerElement>;
            "app-customer-receipt": LocalJSX.AppCustomerReceipt & JSXBase.HTMLAttributes<HTMLAppCustomerReceiptElement>;
            "app-empty": LocalJSX.AppEmpty & JSXBase.HTMLAttributes<HTMLAppEmptyElement>;
            "app-invoice-buy": LocalJSX.AppInvoiceBuy & JSXBase.HTMLAttributes<HTMLAppInvoiceBuyElement>;
            "app-invoice-sell": LocalJSX.AppInvoiceSell & JSXBase.HTMLAttributes<HTMLAppInvoiceSellElement>;
            "app-menu": LocalJSX.AppMenu & JSXBase.HTMLAttributes<HTMLAppMenuElement>;
            "app-permission": LocalJSX.AppPermission & JSXBase.HTMLAttributes<HTMLAppPermissionElement>;
            "app-query-builder": LocalJSX.AppQueryBuilder & JSXBase.HTMLAttributes<HTMLAppQueryBuilderElement>;
            "app-report-designer": LocalJSX.AppReportDesigner & JSXBase.HTMLAttributes<HTMLAppReportDesignerElement>;
            "app-report-viewer": LocalJSX.AppReportViewer & JSXBase.HTMLAttributes<HTMLAppReportViewerElement>;
            "app-root": LocalJSX.AppRoot & JSXBase.HTMLAttributes<HTMLAppRootElement>;
            "app-stock": LocalJSX.AppStock & JSXBase.HTMLAttributes<HTMLAppStockElement>;
            "app-stock-receipt": LocalJSX.AppStockReceipt & JSXBase.HTMLAttributes<HTMLAppStockReceiptElement>;
            "app-user": LocalJSX.AppUser & JSXBase.HTMLAttributes<HTMLAppUserElement>;
            "px-data-table": LocalJSX.PxDataTable & JSXBase.HTMLAttributes<HTMLPxDataTableElement>;
            "px-toggle": LocalJSX.PxToggle & JSXBase.HTMLAttributes<HTMLPxToggleElement>;
            "ui-file-manager": LocalJSX.UiFileManager & JSXBase.HTMLAttributes<HTMLUiFileManagerElement>;
            "ui-grid": LocalJSX.UiGrid & JSXBase.HTMLAttributes<HTMLUiGridElement>;
            "ui-grid-editable": LocalJSX.UiGridEditable & JSXBase.HTMLAttributes<HTMLUiGridEditableElement>;
            "ui-loading-indicator": LocalJSX.UiLoadingIndicator & JSXBase.HTMLAttributes<HTMLUiLoadingIndicatorElement>;
            "ui-login": LocalJSX.UiLogin & JSXBase.HTMLAttributes<HTMLUiLoginElement>;
            "ui-pagebar": LocalJSX.UiPagebar & JSXBase.HTMLAttributes<HTMLUiPagebarElement>;
            "ui-query-builder": LocalJSX.UiQueryBuilder & JSXBase.HTMLAttributes<HTMLUiQueryBuilderElement>;
            "ui-tree": LocalJSX.UiTree & JSXBase.HTMLAttributes<HTMLUiTreeElement>;
            "ui-upload": LocalJSX.UiUpload & JSXBase.HTMLAttributes<HTMLUiUploadElement>;
        }
    }
}
